package com.ruoyi.generator.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
* 
* @TableName community_user_info
*/
@Data
public class CommunityUserInfoVo implements Serializable {

    /**
    * 唯一id
    */
    @NotNull(message="[唯一id]不能为空")
    @ApiModelProperty("唯一id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    /**
    * 用户id
    */
    @ApiModelProperty("用户id")
    private Long userId;
    /**
     * 昵称
     */
    @ApiModelProperty("昵称")
    private String nickName;
    /**
     * 性别
     */
    @ApiModelProperty("性别")
    private String sex;
    /**
     * 头像地址
     */
    @ApiModelProperty("头像地址")
    private String avatar;
    /**
     * 生日
     */
    @ApiModelProperty("生日")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date birthday;
    /**
     * 标签
     */
    @ApiModelProperty("标签")
    private String tags;
    /**
     * 简介
     */
    @ApiModelProperty("简介")
    private String profile;
    /**
     * 背景图
     */
    @ApiModelProperty("背景图")
    private String backImage;
    /**
     * 帖子数量
     */
    private int articleCount;
    /**
     * 关注数量
     */
    private int likeCount;
    /**
     * 粉丝数量
     */
    private int fansCount;
    /**
     * 陪伴数量
     */
    private int companionCount;
    /**
     * 是否被关注
     */
    private boolean isLike;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createBy;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
    * 更新人
    */
    @ApiModelProperty("更新人")
    private Long updateBy;
    /**
    * 更新时间
    */
    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
